package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 14:35 2020/5/11
 * @Modified By
 */
@Entity
@Table(name="kmt_exercise_question_errors")
public class KmtExerciseQuestionErrors extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private String questionId;

    private String exerciseBookId;

    private String setErrorUserId;

    private String errorUserId;

    private int setErrorUserAuth;

    private int errorUserAuth;

    private Date createTime;

    private String errorReason;

    private String errorReasonImage;

    @Column(name = "question_id", updatable = false)
    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getSetErrorUserId() {
        return setErrorUserId;
    }

    public void setSetErrorUserId(String setErrorUserId) {
        this.setErrorUserId = setErrorUserId;
    }

    public String getErrorUserId() {
        return errorUserId;
    }

    public void setErrorUserId(String errorUserId) {
        this.errorUserId = errorUserId;
    }

    public int getSetErrorUserAuth() {
        return setErrorUserAuth;
    }

    public void setSetErrorUserAuth(int setErrorUserAuth) {
        this.setErrorUserAuth = setErrorUserAuth;
    }

    public int getErrorUserAuth() {
        return errorUserAuth;
    }

    public void setErrorUserAuth(int errorUserAuth) {
        this.errorUserAuth = errorUserAuth;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getErrorReason() {
        return errorReason;
    }

    public void setErrorReason(String errorReason) {
        this.errorReason = errorReason;
    }

    public String getErrorReasonImage() {
        return errorReasonImage;
    }

    public void setErrorReasonImage(String errorReasonImage) {
        this.errorReasonImage = errorReasonImage;
    }
}
